Bug 1277188 - [RFE] Cannot specify integer types in templates
[RFE] Cannot specify integer types in templates
Status: CLOSED UPSTREAM
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ben Parees
Wenjing Zheng
https://github.com/openshift/origin/i...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 10:47 EST by Evgheni Dereveanchin
Modified: 2016-01-29 16:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 16:51:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2015-11-02 10:47:21 EST
Description of problem:
It is currently impossible to specify integer values in templates.

Version-Release number of selected component (if applicable):
3.0.2.0

How reproducible:
Always

Steps to Reproduce:
1. Specify a numeric parameter
- name: TEST_PORT
  description: Test port number
  value: 80
2. Reference it in the template
3. Try to use the template

Actual results:
error: could not read an encoded object: unable to load "test-params.json": json: cannot unmarshal number into Go value of type string
error: no objects passed to create

Expected results:
template works correctly

Additional info:
When specifying the value as a string this works on processing yet fails on deployment:

Parameter in template:
- name: TEST_PORT
  description: Test port number
  value: "80"

Error:
Cannot create object. Service in version v1 cannot be handled as a Service: json: cannot unmarshal string into Go value of type int

The upstream bug is https://github.com/openshift/origin/issues/3946
Comment 2 Ben Parees 2016-01-07 22:36:38 EST
Trello'd to devex board: https://trello.com/c/A7cgCBBU

Note You need to log in before you can comment on or make changes to this bug.